diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/mac48-address.cc ns-3.47/src/network/utils/mac48-address.cc
--- ns-3.46/src/network/utils/mac48-address.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/mac48-address.cc	2026-02-16 16:08:49.804230700 -0800
@@ -51,14 +51,14 @@
 Mac48Address::CopyFrom(const uint8_t buffer[6])
 {
     NS_LOG_FUNCTION(this << &buffer);
-    std::memcpy(m_address, buffer, 6);
+    std::copy(buffer, buffer + 6, m_address.begin());
 }
 
 void
 Mac48Address::CopyTo(uint8_t buffer[6]) const
 {
     NS_LOG_FUNCTION(this << &buffer);
-    std::memcpy(buffer, m_address, 6);
+    std::copy(m_address.begin(), m_address.end(), buffer);
 }
 
 bool
@@ -78,7 +78,7 @@
 Mac48Address::ConvertTo() const
 {
     NS_LOG_FUNCTION(this);
-    return Address(GetType(), m_address, 6);
+    return Address(GetType(), m_address.data(), 6);
 }
 
 Mac48Address
@@ -87,7 +87,7 @@
     NS_LOG_FUNCTION(&address);
     NS_ASSERT(address.CheckCompatible(GetType(), 6));
     Mac48Address retval;
-    address.CopyTo(retval.m_address);
+    address.CopyTo(retval.m_address.data());
     return retval;
 }
 
@@ -123,7 +123,7 @@
 Mac48Address::GetType()
 {
     NS_LOG_FUNCTION_NOARGS();
-    static uint8_t type = Address::Register();
+    static uint8_t type = Address::Register("MacAddress", 6);
     return type;
 }
 
@@ -229,19 +229,20 @@
 std::ostream&
 operator<<(std::ostream& os, const Mac48Address& address)
 {
-    uint8_t ad[6];
-    address.CopyTo(ad);
-
+    std::ios_base::fmtflags ff = os.flags();
     os.setf(std::ios::hex, std::ios::basefield);
-    os.fill('0');
-    for (uint8_t i = 0; i < 5; i++)
-    {
-        os << std::setw(2) << (uint32_t)ad[i] << ":";
-    }
-    // Final byte not suffixed by ":"
-    os << std::setw(2) << (uint32_t)ad[5];
-    os.setf(std::ios::dec, std::ios::basefield);
-    os.fill(' ');
+    auto fill = os.fill('0');
+
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[0]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[1]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[2]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[3]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[4]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[5]);
+
+    os.flags(ff); // Restore stream flags
+    os.fill(fill);
+
     return os;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/mac64-address.cc ns-3.47/src/network/utils/mac64-address.cc
--- ns-3.46/src/network/utils/mac64-address.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/mac64-address.cc	2026-02-16 16:08:49.804230700 -0800
@@ -66,14 +66,14 @@
 Mac64Address::CopyFrom(const uint8_t buffer[8])
 {
     NS_LOG_FUNCTION(this << &buffer);
-    std::memcpy(m_address, buffer, 8);
+    std::copy(buffer, buffer + 8, m_address.begin());
 }
 
 void
 Mac64Address::CopyTo(uint8_t buffer[8]) const
 {
     NS_LOG_FUNCTION(this << &buffer);
-    std::memcpy(buffer, m_address, 8);
+    std::copy(m_address.begin(), m_address.end(), buffer);
 }
 
 bool
@@ -95,7 +95,7 @@
     NS_LOG_FUNCTION(address);
     NS_ASSERT(address.CheckCompatible(GetType(), 8));
     Mac64Address retval;
-    address.CopyTo(retval.m_address);
+    address.CopyTo(retval.m_address.data());
     return retval;
 }
 
@@ -103,7 +103,7 @@
 Mac64Address::ConvertTo() const
 {
     NS_LOG_FUNCTION(this);
-    return Address(GetType(), m_address, 8);
+    return Address(GetType(), m_address.data(), 8);
 }
 
 uint64_t
@@ -157,26 +157,29 @@
 Mac64Address::GetType()
 {
     NS_LOG_FUNCTION_NOARGS();
-    static uint8_t type = Address::Register();
+    static uint8_t type = Address::Register("MacAddress", 8);
     return type;
 }
 
 std::ostream&
 operator<<(std::ostream& os, const Mac64Address& address)
 {
-    uint8_t ad[8];
-    address.CopyTo(ad);
-
+    std::ios_base::fmtflags ff = os.flags();
     os.setf(std::ios::hex, std::ios::basefield);
-    os.fill('0');
-    for (uint8_t i = 0; i < 7; i++)
-    {
-        os << std::setw(2) << (uint32_t)ad[i] << ":";
-    }
-    // Final byte not suffixed by ":"
-    os << std::setw(2) << (uint32_t)ad[7];
-    os.setf(std::ios::dec, std::ios::basefield);
-    os.fill(' ');
+    auto fill = os.fill('0');
+
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[0]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[1]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[2]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[3]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[4]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[5]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[6]) << ":";
+    os << std::setw(2) << static_cast<uint32_t>(address.m_address[7]);
+
+    os.flags(ff); // Restore stream flags
+    os.fill(fill);
+
     return os;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/mac8-address.cc ns-3.47/src/network/utils/mac8-address.cc
--- ns-3.46/src/network/utils/mac8-address.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/mac8-address.cc	2026-02-16 16:08:49.804230700 -0800
@@ -31,7 +31,7 @@
 uint8_t
 Mac8Address::GetType()
 {
-    static uint8_t type = Address::Register();
+    static uint8_t type = Address::Register("MacAddress", 1);
     return type;
 }
 
@@ -107,28 +107,10 @@
     m_allocationIndex = 0;
 }
 
-bool
-operator<(const Mac8Address& a, const Mac8Address& b)
-{
-    return a.m_address < b.m_address;
-}
-
-bool
-operator==(const Mac8Address& a, const Mac8Address& b)
-{
-    return a.m_address == b.m_address;
-}
-
-bool
-operator!=(const Mac8Address& a, const Mac8Address& b)
-{
-    return !(a == b);
-}
-
 std::ostream&
 operator<<(std::ostream& os, const Mac8Address& address)
 {
-    os << (int)address.m_address;
+    os << static_cast<uint32_t>(address.m_address);
     return os;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/packetbb.cc ns-3.47/src/network/utils/packetbb.cc
--- ns-3.46/src/network/utils/packetbb.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/packetbb.cc	2026-02-16 16:08:49.805230600 -0800
@@ -281,12 +281,6 @@
     return true;
 }
 
-bool
-PbbTlvBlock::operator!=(const PbbTlvBlock& other) const
-{
-    return !(*this == other);
-}
-
 /* End PbbTlvBlock class */
 
 PbbAddressTlvBlock::PbbAddressTlvBlock()
@@ -520,12 +514,6 @@
     return true;
 }
 
-bool
-PbbAddressTlvBlock::operator!=(const PbbAddressTlvBlock& other) const
-{
-    return !(*this == other);
-}
-
 /* End PbbAddressTlvBlock Class */
 
 PbbPacket::PbbPacket()
@@ -1001,12 +989,6 @@
     return true;
 }
 
-bool
-PbbPacket::operator!=(const PbbPacket& other) const
-{
-    return !(*this == other);
-}
-
 /* End PbbPacket class */
 
 PbbMessage::PbbMessage()
@@ -1694,12 +1676,6 @@
     return true;
 }
 
-bool
-PbbMessage::operator!=(const PbbMessage& other) const
-{
-    return !(*this == other);
-}
-
 /* End PbbMessage Class */
 
 PbbMessageIpv4::PbbMessageIpv4()
@@ -2415,12 +2391,6 @@
     return m_addressTlvList == other.m_addressTlvList;
 }
 
-bool
-PbbAddressBlock::operator!=(const PbbAddressBlock& other) const
-{
-    return !(*this == other);
-}
-
 uint8_t
 PbbAddressBlock::GetPrefixFlags() const
 {
@@ -2972,12 +2942,6 @@
     return true;
 }
 
-bool
-PbbTlv::operator!=(const PbbTlv& other) const
-{
-    return !(*this == other);
-}
-
 /* End PbbTlv Class */
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/packetbb.h ns-3.47/src/network/utils/packetbb.h
--- ns-3.46/src/network/utils/packetbb.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/packetbb.h	2026-02-16 16:08:49.805230600 -0800
@@ -189,12 +189,6 @@
      * @returns true if the blocks are equal
      */
     bool operator==(const PbbTlvBlock& other) const;
-    /**
-     * @brief Inequality operator for PbbTlvBlock
-     * @param other PbbTlvBlock to compare this one to
-     * @returns true if the blocks are not equal
-     */
-    bool operator!=(const PbbTlvBlock& other) const;
 
   private:
     std::list<Ptr<PbbTlv>> m_tlvList; //!< PbbTlv container
@@ -356,13 +350,6 @@
      */
     bool operator==(const PbbAddressTlvBlock& other) const;
 
-    /**
-     * @brief Inequality operator for PbbAddressTlvBlock
-     * @param other PbbAddressTlvBlock to compare to this one
-     * @returns true if PbbAddressTlvBlock are not equal
-     */
-    bool operator!=(const PbbAddressTlvBlock& other) const;
-
   private:
     std::list<Ptr<PbbAddressTlv>> m_tlvList; //!< PbbAddressTlv container
 };
@@ -666,14 +653,6 @@
      */
     bool operator==(const PbbPacket& other) const;
 
-    /**
-     * @brief Inequality operator for PbbPacket
-     * @param other PbbPacket to compare to this one
-     * @returns true if PbbPacket are not equal
-     */
-    bool operator!=(const PbbPacket& other) const;
-
-  protected:
   private:
     PbbTlvBlock m_tlvList;                    //!< PbbTlv container
     std::list<Ptr<PbbMessage>> m_messageList; //!< PbbTlvBlock container
@@ -1056,12 +1035,6 @@
      * @returns true if PbbMessages are equal
      */
     bool operator==(const PbbMessage& other) const;
-    /**
-     * @brief Inequality operator for PbbMessage
-     * @param other PbbMessage to compare to this one
-     * @returns true if PbbMessages are not equal
-     */
-    bool operator!=(const PbbMessage& other) const;
 
   protected:
     /**
@@ -1546,13 +1519,6 @@
      */
     bool operator==(const PbbAddressBlock& other) const;
 
-    /**
-     * @brief Inequality operator for PbbAddressBlock
-     * @param other PbbAddressBlock to compare to this one
-     * @returns true if PbbAddressBlock are not equal
-     */
-    bool operator!=(const PbbAddressBlock& other) const;
-
   protected:
     /**
      * @brief Returns address length
@@ -1778,13 +1744,6 @@
      */
     bool operator==(const PbbTlv& other) const;
 
-    /**
-     * @brief Inequality operator for PbbTlv
-     * @param other PbbTlv to compare to this one
-     * @returns true if PbbTlv are not equal
-     */
-    bool operator!=(const PbbTlv& other) const;
-
   protected:
     /**
      * @brief Set an index as starting point
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/packet-socket-address.cc ns-3.47/src/network/utils/packet-socket-address.cc
--- ns-3.46/src/network/utils/packet-socket-address.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/packet-socket-address.cc	2026-02-16 16:08:49.804230700 -0800
@@ -88,7 +88,6 @@
 PacketSocketAddress::ConvertTo() const
 {
     NS_LOG_FUNCTION(this);
-    Address address;
     uint8_t buffer[Address::MAX_SIZE];
     buffer[0] = m_protocol & 0xff;
     buffer[1] = (m_protocol >> 8) & 0xff;
@@ -145,7 +144,7 @@
 PacketSocketAddress::GetType()
 {
     NS_LOG_FUNCTION_NOARGS();
-    static uint8_t type = Address::Register();
+    static uint8_t type = Address::Register("PacketSocketAddress", Address::MAX_SIZE);
     return type;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/packet-socket-client.h ns-3.47/src/network/utils/packet-socket-client.h
--- ns-3.46/src/network/utils/packet-socket-client.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/packet-socket-client.h	2026-02-16 16:08:49.804230700 -0800
@@ -34,8 +34,8 @@
  * what concerns the underlying NetDevice and the Address scheme.
  * It is meant to be used in ns-3 tests.
  *
- * The application will send `MaxPackets' packets, one every `Interval'
- * time. Packet size (`PacketSize') can be configured.
+ * The application will send `MaxPackets` packets, one every `Interval`
+ * time. Packet size (`PacketSize`) can be configured.
  * Provides a "Tx" Traced Callback (transmitted packets, source address).
  *
  * Note: packets larger than the NetDevice MTU will not be sent.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/queue-size.cc ns-3.47/src/network/utils/queue-size.cc
--- ns-3.46/src/network/utils/queue-size.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/queue-size.cc	2026-02-16 16:08:49.805230600 -0800
@@ -113,54 +113,6 @@
     NS_LOG_FUNCTION(this << static_cast<uint16_t>(unit) << value);
 }
 
-bool
-QueueSize::operator<(const QueueSize& rhs) const
-{
-    NS_ABORT_MSG_IF(m_unit != rhs.GetUnit(), "Cannot compare heterogeneous sizes");
-
-    return m_value < rhs.m_value;
-}
-
-bool
-QueueSize::operator<=(const QueueSize& rhs) const
-{
-    NS_ABORT_MSG_IF(m_unit != rhs.GetUnit(), "Cannot compare heterogeneous sizes");
-
-    return m_value <= rhs.m_value;
-}
-
-bool
-QueueSize::operator>(const QueueSize& rhs) const
-{
-    NS_ABORT_MSG_IF(m_unit != rhs.GetUnit(), "Cannot compare heterogeneous sizes");
-
-    return m_value > rhs.m_value;
-}
-
-bool
-QueueSize::operator>=(const QueueSize& rhs) const
-{
-    NS_ABORT_MSG_IF(m_unit != rhs.GetUnit(), "Cannot compare heterogeneous sizes");
-
-    return m_value >= rhs.m_value;
-}
-
-bool
-QueueSize::operator==(const QueueSize& rhs) const
-{
-    NS_ABORT_MSG_IF(m_unit != rhs.GetUnit(), "Cannot compare heterogeneous sizes");
-
-    return m_value == rhs.m_value;
-}
-
-bool
-QueueSize::operator!=(const QueueSize& rhs) const
-{
-    NS_ABORT_MSG_IF(m_unit != rhs.GetUnit(), "Cannot compare heterogeneous sizes");
-
-    return m_value != rhs.m_value;
-}
-
 QueueSizeUnit
 QueueSize::GetUnit() const
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/network/utils/queue-size.h ns-3.47/src/network/utils/queue-size.h
--- ns-3.46/src/network/utils/queue-size.h	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/network/utils/queue-size.h	2026-02-16 16:08:49.805230600 -0800
@@ -113,46 +113,26 @@
     QueueSize(std::string size);
 
     /**
-     * @return true if this size is less than rhs
-     *
+     * @brief Equality operator.
      * @param rhs the queue size to compare to this queue size
+     * @returns true if this size is equal to rhs
      */
-    bool operator<(const QueueSize& rhs) const;
+    inline bool operator==(const QueueSize& rhs) const
+    {
+        NS_ABORT_MSG_IF(m_unit != rhs.m_unit, "Cannot compare heterogeneous sizes");
+        return m_value == rhs.m_value;
+    }
 
     /**
-     * @return true if this size is less than or equal to rhs
-     *
+     * @brief Three-way comparison operator.
      * @param rhs the queue size to compare to this queue size
+     * @returns The result of the comparison.
      */
-    bool operator<=(const QueueSize& rhs) const;
-
-    /**
-     * @return true if this size is greater than rhs
-     *
-     * @param rhs the queue size to compare to this queue size
-     */
-    bool operator>(const QueueSize& rhs) const;
-
-    /**
-     * @return true if this size is greater than or equal to rhs
-     *
-     * @param rhs the queue size to compare to this queue size
-     */
-    bool operator>=(const QueueSize& rhs) const;
-
-    /**
-     * @return true if this size is equal to rhs
-     *
-     * @param rhs the queue size to compare to this queue size
-     */
-    bool operator==(const QueueSize& rhs) const;
-
-    /**
-     * @return true if this size is not equal to rhs
-     *
-     * @param rhs the queue size to compare to this queue size
-     */
-    bool operator!=(const QueueSize& rhs) const;
+    inline std::strong_ordering operator<=>(const QueueSize& rhs) const
+    {
+        NS_ABORT_MSG_IF(m_unit != rhs.m_unit, "Cannot compare heterogeneous sizes");
+        return m_value <=> rhs.m_value;
+    }
 
     /**
      * Get the underlying unit
